Subject: Re: [PATCH v5 2/2] net: phy: add Maxlinear GPY115/21x/24x driver

From: Andrew Lunn <[email-masked]>
Date: Wed, 7 Jul 2021 17:22:15 +0200

> Is the merging failure due to the tree declaration? Or something else I also
> need take care.

It is probably due to the tree declaration, assuming you are actually
using the correct tree.

> When did the net-next was closed? I saw some other patches after 1 Jul were
> accepted, how many days before the close should I submit?

It varies by subsystem. ARM SoC tends to close around a week before
the merge window opens. netdev sees some patches accepted one or two
days after the merge window opens, but you should not assume patches
will be accepted that late. Also, you should submit patches earlier,
rather than later. They get more testing that way, you have time to
fix issues etc.

> Do I need re-submit the patch when net_next is open again, or the current patch
> will be pulled in next open window?

You need to resubmit.

    Andrew